/*
 * SendAction.java
 *
 * Created on 2001/10/31, 16:55
 */

package evaluation.comment;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import evaluation.*;

/**
 *
 * @author  iochi
 * @version 
 */
public class SendAction extends Action {

    public String perform(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
        // requestModel𐶐
        CommentModel model = (CommentModel)createModel(request);
        // ModelZbV̕ێ
        HttpSession session = request.getSession();
        session.setAttribute("comment", model);
        // G[`FbN
        if(model.getName() == null || model.getName().length() == 0) {
            session.setAttribute("errors", new String[]{"O͕K{łB"});
            return "/index.jsp";
        }
        return "/completed.jsp";
    }
    
    public ActionModel createModel(HttpServletRequest request) {
        CommentModel model = new CommentModel();
        model.setName(request.getParameter("name"));
        model.setComment(request.getParameter("comment"));
        return model;
    }
}
